'use strict';
var gulp = require('gulp');
var mocha = require('gulp-mocha');

gulp.task('mocha', function() {
  return gulp.src(['test/**/*.js'], { read: false })
    .pipe(mocha({
      reporter: 'spec',
      globals: {
        should: require('should')
      }
    }));
});

gulp.task('mocha', function() {
    return gulp.src(['test/**/*.js'], { read: false })
        .pipe(mocha({ reporter: 'list' }))
        .on('error', function(err){
        	console.log(err);
   			this.emit("end");
        });
});
if(setting.live){
	gulp.task('default', function() {
	    gulp.watch(['**/*.js'], ['mocha']);
	});
}else{
	gulp.task('default', ['mocha']);
}

